pkpgcounter_3.50-7.1_all.deb


Advertisement

Description

pkpgcounter - computes number of pages or quantity of ink needed to print documents

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pkpgcounter
Package version 3.50
Package release 7.1
Package architecture all
Package type deb
Installed size 367 B
Download size 178.22 KB
Official Mirror archive.ubuntu.com
pkpgcounter is a generic Page Description Language parser which can
either count the number of pages or compute the percent of ink
coverage needed to print various types of documents. It is written in
Python.
It currently recognizes the following file formats :
* PostScript (both DSC compliant and binary)
* PDF
* PCL3/4/5
* PCLXL (aka PCL6)
* DVI
* OpenDocument (ISO/IEC DIS 26300)
* Microsoft Word (c) (tm) (r) (etc...)
* Plain text
* TIFF
* Several other image formats
* ESC/P2
* Zenographics ZjStream
* Samsung QPDL (aka SPL2)
* Samsung SPL1
* ESC/PageS03
* Brother HBP
* Hewlett-Packard Lightweight Imaging Device Interface Language
* Structured Fax
* Canon BJ/BJC
* ASCII PNM (Netpbm)
The ten latter ones, as well as some TIFF documents, are currently
only supported in page counting mode.
pkpgcounter is often used in combination with print
accounting solutions like PyKota or JasMine.

Alternatives

Package Version Architecture Repository
pkpgcounter_3.50-7.1_all.deb 3.50 all Ubuntu Universe
pkpgcounter - - -

Requires

Name Value
ghostscript -
python -
python-imaging >= 1.1.2-3.2
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package pkpgcounter_3.50-7.1_all.deb
Source Package pkpgcounter

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pkpgcounter deb package:
    # sudo apt-get install pkpgcounter

Files

Path
/usr/bin/pkpgcounter
/usr/lib/python2.7/dist-packages/pkpgcounter-3.50.egg-info
/usr/lib/python2.7/dist-packages/pkpgpdls/__init__.py
/usr/lib/python2.7/dist-packages/pkpgpdls/analyzer.py
/usr/lib/python2.7/dist-packages/pkpgpdls/bj.py
/usr/lib/python2.7/dist-packages/pkpgpdls/cfax.py
/usr/lib/python2.7/dist-packages/pkpgpdls/dvi.py
/usr/lib/python2.7/dist-packages/pkpgpdls/escp2.py
/usr/lib/python2.7/dist-packages/pkpgpdls/escpages03.py
/usr/lib/python2.7/dist-packages/pkpgpdls/hbp.py
/usr/lib/python2.7/dist-packages/pkpgpdls/inkcoverage.py
/usr/lib/python2.7/dist-packages/pkpgpdls/lidil.py
/usr/lib/python2.7/dist-packages/pkpgpdls/mscrap.py
/usr/lib/python2.7/dist-packages/pkpgpdls/ooo.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pcl345.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pclxl.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pdf.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pdlparser.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pil.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pjl.py
/usr/lib/python2.7/dist-packages/pkpgpdls/plain.py
/usr/lib/python2.7/dist-packages/pkpgpdls/pnmascii.py
/usr/lib/python2.7/dist-packages/pkpgpdls/postscript.py
/usr/lib/python2.7/dist-packages/pkpgpdls/qpdl.py
/usr/lib/python2.7/dist-packages/pkpgpdls/spl1.py
/usr/lib/python2.7/dist-packages/pkpgpdls/tiff.py
/usr/lib/python2.7/dist-packages/pkpgpdls/version.py
/usr/lib/python2.7/dist-packages/pkpgpdls/zjstream.py
/usr/share/doc/pkpgcounter/BUGS
/usr/share/doc/pkpgcounter/CREDITS
/usr/share/doc/pkpgcounter/NEWS.gz
/usr/share/doc/pkpgcounter/README.gz
/usr/share/doc/pkpgcounter/changelog.Debian.gz
/usr/share/doc/pkpgcounter/copyright
/usr/share/doc/pkpgcounter/examples/README
/usr/share/doc/pkpgcounter/examples/colors.pdf.gz
/usr/share/doc/pkpgcounter/examples/gstests.py
/usr/share/doc/pkpgcounter/examples/master.ps.gz
/usr/share/doc/pkpgcounter/examples/runcolors.py
/usr/share/doc/pkpgcounter/examples/runtest.sh
/usr/share/man/man1/pkpgcounter.1.gz

Changelog

2015-08-22 - Matthias Klose <doko@debian.org>
pkpgcounter (3.50-7.1) unstable; urgency=medium
* Non-maintainer upload.
* Build using dh-python. Closes: #786234.
2010-06-25 - Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
pkpgcounter (3.50-7) unstable; urgency=low
[ Christian Kastner ]
* Fix FTBFS by removing useless arch-specific dependencies from Recommends.
Closes: #583063
2010-02-28 - Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
pkpgcounter (3.50-6) unstable; urgency=low
[ Kumar Appaiah ]
* debian/control:
+ Standards Version is now 3.8.4 (no changes needed)
+ Build-Depend on python-support above 0.90.
+ Use "all" instead of "current" for XS-Python-Versions.
(Closes: #570561)
* debian/rules:
+ Use the default Python version.
2009-12-03 - Kumar Appaiah <akumar@debian.org>
pkpgcounter (3.50-5) unstable; urgency=low
[ Julien Lavergne ]
* From Ubuntu, prepare for the future python transition:
- debian/rules: 
+ Include /usr/share/python/python.mk
+ Add $(py_setup_install_args) to setup.py install
- debian/control: 
+ Bump build-depends to python (>= 2.5.4-1~)
[ Ryan Kavanagh ]
* Added a README.source, as required by Debian Policy Manual section 4.14 
[ Kumar Appaiah ]
* Conditionally use python.mk and reduce Build-Depends of Python to
2.3.5-11.
* Switch to python-support.
* Suggest abiword instead of recommending it. (Closes: #525839)
2008-12-06 - Kumar Appaiah <akumar@debian.org>
pkpgcounter (3.50-4) unstable; urgency=low
* debian/control:
+ Don't suggest pcl6, gspcl, ghostpcl and ghostpdl
+ Correct to recommend texlive-latex-base.
2008-12-04 - Kumar Appaiah <akumar@debian.org>
pkpgcounter (3.50-3) unstable; urgency=low
* debian/control
+ switch Vcs-Browser field to viewsvn
+ Use standards version 3.8.0 (no changes needed).
+ Use quilt for patches.
+ Don't depend obsolete gs, gs-esp.
+ Recommend texlive-latex-bin instead of tetex-bin.
+ Change my e-mail address to use debian.org address.
+ fix capitalization in short description.
* debian/rules:
+ Adapt for use with quilt.
+ Remove ugly rmdir hack.
* debian/patches/01_fix_tempfile.diff
+ Ensure temporary files are closed. (Closes: #507770)
* debian/copyright:
+ Update e-mail addresses, dates.
+ Refer explicitly to GPL v3.
2008-04-10 - Kumar Appaiah <akumar@ee.iitm.ac.in>
pkpgcounter (3.50-2) unstable; urgency=low
[ Jerome Alet ]
* debian/control:
+ Recommend xauth instead of xbase-clients. (Closes: #475386)
2007-12-10 - Jerome Alet <alet@librelogiciel.com>
pkpgcounter (3.50-1) unstable; urgency=low
[ Jerome Alet ]
* New upstream release.
* Upgraded list of supported file formats in control.
* Removed unneeded dependency on python-dev.
* Added ghostscript as an alternative dependency.
* Removed debian/dirs, not needed.
* Added missing dependencies.
* Removed unnecessary spaces in control.
* Changed short description in control.
[ Kumar Appaiah ]
* debian/rules:
+ Remove emptly usr/lib directory.
+ No need to call dpatch, as there are no patches.
* debian/control:
+ No patches, so remove dpatch dependency.
2007-11-30 - Jerome Alet <alet@librelogiciel.com>
pkpgcounter (3.40-1) unstable; urgency=low
* New upstream release.
* Removed the manual page patch which is already done upstream.
* Remove accented characters in upstream author's name in copyright file.
* Added several third party software to Recommends, which are only needed
in some use cases.
* Changed description to match upstream's one.
* Update Standards-Version to 3.7.3.
2007-11-23 - Jerome Alet <alet@librelogiciel.com>
pkpgcounter (3.30-1) unstable; urgency=low
* New upstream release
* Added imagemagick to Recommends
* Changed long description to reflect upstream's.

See Also

Package Description
pktools-dev_2.6.6-1_amd64.deb GDAL add-on tools to perform useful raster processing - development files
pktools_2.6.6-1_amd64.deb GDAL add-on tools to perform useful raster processing
pktstat_1.8.5-4build1_amd64.deb top-like utility for network connections usage
pkwalify_1.22-2_all.deb perl kwalify validator
placnet_1.03-2_all.deb Plasmid Constellation Network project
plainbox-insecure-policy_0.25-1_all.deb policykit policy required to use plainbox (insecure version)
plainbox_0.25-1_all.deb toolkit for software and hardware integration testing
plait_1.6.2-1ubuntu1_all.deb command-line jukebox
plan_1.10.1-5_amd64.deb X/Motif day planner
planarity_1.0+svn6432-0ubuntu2_all.deb multitouch adaption of the popular game Planarity, aka Untangle
planet-venus_0~git9de2109-4_all.deb aggregate feed generator
planetfilter_0.7.0-1ubuntu1_all.deb filter for blog aggregators
planets_0.1.13-16_all.deb Gravitation simulation of planetary bodies
planfacile_2.0.070523-0ubuntu4_amd64.deb Generate a document from a mindmap
plank_0.11.1-1_amd64.deb Elegant, simple, clean dock
Advertisement
Advertisement